class_name PouvoirElectrique
extends PouvoirBase
## Pouvoir qui rend les balles electriques


func declencher_pouvoir(arbre_scene: SceneTree) -> void:
	for balle in arbre_scene.get_nodes_in_group("groupe_des_balles"):
		assert(balle is Balle, "Le groupe_des_balles ne doit contenir que des Balle !")
		BalleElectrique.transformer(balle)


func couleur_principale() -> Color:
	return Color.YELLOW
